Name:          hamcrest-junit
# Hamcrest 2.0.0.0 <-> hamcrest-junit 2.0.0.0
Version:       1.0.0.1
Release:       1%{?dist}
Summary:       Integration between Hamcrest and JUnit 
License:       EPL
URL:           https://github.com/hamcrest/hamcrest-junit
Source0:       https://github.com/hamcrest/hamcrest-junit/archive/v%{version}.tar.gz
Source1:       http://repo1.maven.org/maven2/org/hamcrest/%{name}/%{version}/%{name}-%{version}.pom
# Remove hamcrest and junit code
# Disable runTestAndVerifyResult (see PATCH0)
Patch0:        hamcrest-junit-1.0.0.1-remove-bundled-libraries.patch

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.hamcrest:hamcrest-all)

BuildArch:     noarch
# Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10061833
%description
Classes to use Hamcrest matchers within JUnit tests.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
# Cleanup
find . -name "*.class"  -print -delete
find . -name "*.jar" -print -delete

%patch0 -p1
rm -rf src/main/java/org/hamcrest/junit/ErrorCollector.java \
 src/main/java/org/hamcrest/junit/ExpectedException.java \
 src/main/java/org/hamcrest/junit/JUnitMatchers.java \
 src/main/java/org/hamcrest/junit/MatcherAssert.java

cp -p %{SOURCE1} pom.xml
# Add OSGi support
%pom_xpath_inject "pom:project" "<packaging>bundle</packaging>"
%pom_add_plugin org.apache.felix:maven-bundle-plugin:2.3.7 . '
<extensions>true</extensions>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Sat Jun 13 2015 gil cattaneo <puntogil@libero.it> 1.0.0.1-1
- initial rpm
